Loading...
Searching...
No Matches
Divergence< InGridT, MaskGridType, InterruptT >::Functor< DiffScheme > Struct Template Reference

`#include <openvdb/tools/GridOperators.h>`

## Public Member Functions

| Functor (const InGridT &grid, const MaskGridType *mask, bool threaded, InterruptT *interrupt)
template<typename MapT>
void | operator() (const MapT &map)

## Public Attributes

const bool | mThreaded
const InGridType & | mInputGrid
OutGridType::Ptr | mOutputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Constructor & Destructor Documentation

## Functor()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

Functor | ( | const InGridT & | grid,
|  | const MaskGridType * | mask,
|  | bool | threaded,
|  | InterruptT * | interrupt )

inline

## Member Function Documentation

## operator()()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>
template<typename MapT>

void operator() | ( | const MapT & | map | ) |

inline

## Member Data Documentation

## mInputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

const InGridType& mInputGrid

## mInterrupt

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

InterruptT* mInterrupt

## mMask

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

const MaskGridType* mMask

## mOutputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

OutGridType::Ptr mOutputGrid

## mThreaded

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<math::DScheme DiffScheme>

const bool mThreaded